#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf alsa-lib-1.0.26.tar.bz2
    cd alsa-lib-1.0.26
    ./configure --prefix=/usr --sysconfdir=/etc
    make
    strip -R .note -R .comment src/.libs/libasound.so.2
    mkdir -p ../libasound2/lib
    cp src/.libs/libasound.so.2 ../libasound2/lib/
    cd src/conf
    mkdir -p ../../../libasound2/share/alsa
    cp -r * ../../../libasound2/share/alsa/
    sed -i -e 's/\.ipc_gid audio/.ipc_gid nogroup/' \
	    ../../../libasound2/share/alsa/alsa.conf
    find  ../../../libasound2/share/alsa -name Makefile\* -exec rm {} \;
    cd ../../..
    rm -rf alsa-lib-1.0.26
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
